<?php 
//header("Content-Type: text/html;charset=ISO-8859-1");

include('db___cn.php');
$mysqli=conex_db_mysql();

switch($_POST['opcion'])
{
  case 1:
  $docente="SELECT IdDocente FROM tb_docentes 
  WHERE Usuario='".$_POST['usuario']."' 
       and Clave='".$_POST['password']."'";
  $ejecutar_docente=$mysqli->query($docente);
  
  if(mysqli_num_rows($ejecutar_docente)>0)
    {
       session_start();
       $fila_docente=mysqli_fetch_array($ejecutar_docente);
       $_SESSION['IdDoc']=$fila_docente['IdDocente'];
        echo 1;  
     }
     else
     {
       echo 2;
     }    
break;
case 3:
         $IdDocente=$_POST['Id1'];
         $celular=$_POST['celular'];
         $email=$_POST['email'];
         
         $actualizar="UPDATE tb_docentes SET Celular='".$celular."',Email='".$email."'
                      WHERE IdDocente='".$IdDocente."'";
         $mysqli->query($actualizar) or die("2");
         echo 1;
break;
case 4:
         $nivel="SELECT * FROM  tb_nivel_academico_docente
          WHERE IdTipoEstudio='".$_POST['nivel']."'";
          $rs_nivel=$mysqli->query($nivel);
          while($fila_nivel=mysqli_fetch_array($rs_nivel))
           {
             echo '<option value="'.$fila_nivel["IdNivelDocente"].'">'.$fila_nivel["NivelDocente"].'</option>';
           }
      
break;
case 5:
        $IdDocente=$_POST['Id'];
        $num_orden=$_POST['num_orden'];
        $centro=strtoupper($_POST['centro']);
        $especialidad=strtoupper( $_POST['especialidad']);
        $tipo=$_POST['tipo'];
        $nivel=$_POST['nivel'];
        $inicio=$_POST['inicio'];
        $termino=$_POST['termino'];
        $lugar=strtoupper($_POST['lugar']);
        $registrar_formacion="INSERT INTO tb_formacion_docente(IdDocente,NumOrden,CentroEstudios,Especialidad,IdTipoEstudio,IdNivelDocente,Inicio,Termino,Lugar)
                                  VALUES('".$IdDocente."','".$num_orden."','".$centro."','".$especialidad."','".$tipo."','".$nivel."','".$inicio."','".$termino."','".$lugar."')";
      $mysqli->query($registrar_formacion) or die("2");
      echo 1;  
break;

case 8:
        $IdDocente=$_POST['id'];
        $clave=$_POST['clave'];
        $usuario=$_POST['usuario'];
        $cambiar_clave="UPDATE tb_docentes SET Clave='".$clave."',Usuario='".$usuario."'  WHERE IdDocente='".$IdDocente."'";
        $mysqli->query($cambiar_clave);
      echo 1;                     
break;


case 22:
        $formacion="SELECT IdFormacionDocente,Especialidad,TipoEstudio,Inicio,Termino,NumOrden
          FROM  tb_formacion_docente,tb_tipo_estudio_docente
          WHERE tb_formacion_docente.IdTipoEstudio=tb_tipo_estudio_docente.IdTipoEstudio
           and tb_formacion_docente.IdDocente='".$_POST['id']."' ORDER BY NumOrden ASC";
          $rs_formacion=$mysqli->query($formacion); 
          echo '<table id="simpletable" class="table table-striped table-bordered">
                                            <thead class="thead-light">
                                            <tr>
                                            <th>NumOrden</th>
                                            <th>Especialidad</th>
                                            <th>TipoEstudio</th>
                                            <th>Inicio</th>
                                            <th>Termino</th>
                                            <th>Acciones</th>
                                            </tr>
                                            </thead>
                                            <tbody>';
                                           while($fila_formacion=mysqli_fetch_array($rs_formacion))
                                           {
                                           echo'<tr>';
                                                echo'<td>'.$fila_formacion['NumOrden'].'</td>';
                                                echo'<td>'.$fila_formacion['Especialidad'].'</td>';
                                                echo'<td>'.$fila_formacion['TipoEstudio'].'</td>';
                                                echo'<td>'.$fila_formacion['Inicio'].'</td>';
                                                echo'<td>'.$fila_formacion['Termino'].'</td>';
                                                echo'<td>
                                                   <a href="verFormacionAcademica.php?Id='.$fila_formacion['IdFormacionDocente'].'" class="btn btn-outline-primary"><i class="icofont icofont-ebook icofont-lg"></i></a>
                                                </td>';                  
                                            echo'</tr>';
                                             
                                          } 
          echo '</tbody>
            </table>';                   
break;
case 23:
        $actualizar_orden_registro="UPDATE tb_formacion_docente 
        SET NumOrden='".$_POST['orden']."' WHERE IdFormacionDocente='".$_POST['id']."'";
        $mysqli->query($actualizar_orden_registro) or die("2"); 
        echo 1;                       
break;
case 24:
        $eliminar_formacion="DELETE FROM tb_formacion_docente WHERE IdFormacionDocente='".$_POST['id']."'";
        $mysqli->query($eliminar_formacion) or die("2"); 
        echo 1;                       
break;

}
mysqli_close($mysqli);
?>
